Copyright: Copyright © 1996 Global Majic Software, Inc.
Citation: Copyright © 1996 Global Majic Software, Inc.


ADFBearing
ADFBEARING PROPERTY

Description

Sets or returns the Automatic Direction Finder's displayed value.

Usage

[form.]control.ADFBearing[ = single ]

Remarks

This property only applies when DisplayMode is set to ADF (Automatic Direction Finder).

Data Type

Single


ASP
ASSOCIATION OF SHAREWARE PROFESSIONALS (ASP) OMBUDSMAN STATEMENT

Global Majic Software, Inc. is a member of the Association of Shareware Professionals (ASP). ASP wants to make sure that the shareware principle works for you. If you are unable to resolve a shareware-related problem with Global Majic Software, Inc. by contacting them directly, ASP may be able to help. The ASP Ombudsman can help you resolve a dispute or problem with an ASP member, but does not provide technical support for members' products.

Please write to the ASP Ombudsman at:

545 Grover Road

Muskegon, MI 49442-9427 USA

FAX 616-788-2765

or send a CompuServe message via CompuServe Mail to:

ASP Ombudsman 70007,3536


AirspeedVFE
AIRSPEEDVFE PROPERTY

AIRSPEEDVMAX PROPERTY

AIRSPEEDVNE PROPERTY

AIRSPEEDVNO PROPERTY

AIRSPEEDVS0 PROPERTY

AIRSPEEDVS1 PROPERTY

Description

These properties define annular regions on an airspeed indicator which specify the airspeed limitations (V-speeds) of the aircraft.  There are four (4) annulars on the instrument shown below.  The white annular is bounded by AirspeedVS0 and AirspeedVFE, the green annular is bounded by AirspeedVS1 and AirspeedVNO, the yellow annular is bounded by AirspeedVNO and AirspeedVNE, and the red annular is bounded by AirspeedVNE and AirspeedVMax.

Usage

[form.]control.AirspeedVFE[ = single ]

[form.]control.AirspeedVMax[ = single ]

[form.]control.AirspeedVNE[ = single ]

[form.]control.AirspeedVNO[ = single ]

[form.]control.AirspeedVS0[ = single ]

[form.]control.AirspeedVS1[ = single ]

Remarks

These properties only apply when DisplayMode is set to an Airspeed Indicator.

Data Type

Single


AltBarometer
ALTBAROMETER PROPERTY

Description

Enables and disables the barometric pressure indicator displayed on the altimeter.

Usage

[form.]control.AltBarometer[ = {TRUE|FALSE} ]

Setting

The AltBarometer property settings are:

Setting	Description

TRUE	Barometric pressure setting is displayed

FALSE	Barometric pressure setting is hidden

Remarks

This property only applies when DisplayMode = 2 (Altimeter).

Data Type

Integer (Boolean)


AltBarometricPressure
ALTBAROMETRICPRESSURE PROPERTY

Description

Sets or returns the value of the barometric pressure displayed on the altimeter.

Usage

[form.]control.AltBarometricPressure[ = single ]

Remarks

This property is only applicable when DisplayMode = 2 (Altimeter) and AltBarometer = TRUE.  The barometric pressure is bound between 20 and 40 inches of mercury (in Hg).  Changes in the barometric pressure do not affect the altimeter Value.

Data Type

Single


AutoRedraw
AUTOREDRAW PROPERTY

Description

Determines whether the control is redraw manually or automatically.

Usage

[form.]control.AutoRedraw[ = {TRUE|FALSE} ]

Setting

The property settings are:

Setting	Description

TRUE	Automatic (default) - The operating system will redraw the control when it has time.

FALSE	Manual - The user is responsible for all redraw commands.

Remarks

If AutoRedraw=TRUE, then the control will be redrawn after any property is changed.  If several properties are being changed rapidly, then the control may seem slow and/or may not update when desired.  In this case, it may be wise to set AutoRedraw=FALSE and issue a Redraw command after all the desired property changes are made.

Related Property

Redraw

Data Type

Integer (Boolean)


BackColor
BACKCOLOR PROPERTY

Description

Determines the background color of the control.  It is ignored if BackPicture is set.

Usage

[form.]control.BackColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Data Type

Long


BackgroundPicture
BACKGROUNDPICTURE PROPERTY

Description

Determines the graphic to be displayed in the background of the control.

Usage

[form.]control.BackPicture[ = picture ]

Setting

The BackPicture property settings are:

Setting	Description

(none)	No picture is displayed.

(bitmap)	At design time specify the bitmap file name to be displayed.  At run-time specify the bitmap using Visual Basic's LoadPicture (or comparable) function.

Remarks

When setting the picture at design-time, the picture will be saved with the form and will be compiled into the executable.

Data Type

Picture


Bank
BANK PROPERTY

Description

Sets or returns the value of the bank angle displayed on the artificial horizon.

Usage

[form.]control.Bank[ = single ]

Remarks

This property only applies when DisplayMode = 6 (Artificial Horizon).

Data Type

Single


BevelInner
BEVELINNER PROPERTY

BEVELOUTER PROPERTY

Description

Sets or returns the inner or outer shadow style of the control.

Usage

[form.]control.BevelInner[ = integer ]

[form.]control.BevelOuter[ = integer ]

Setting

These property settings are:

Setting	Description

0	None

1	Raised

2	Inset

Remarks

This property has no affect when BevelWidth=0.

Related Properties

BevelWidth and BorderWidth

Data Type

Integer (Enumerated)


BevelWidth
BEVELWIDTH PROPERTY

Description

Sets or returns the shadow sizes of the inner and outer bevels of the control.

Usage

[form.]control.BevelWidth[ = integer ]

Related Properties

BevelInner, BevelOuter and BorderWidth

Data Type

Integer


BorderWidth
BORDERWIDTH PROPERTY

Description

Sets or returns the border size between the inner and outer bevels of the control.

Usage

[form.]control.BorderWidth[ = integer ]

Related Properties

BevelInner, BevelOuter and BevelWidth

Data Type

Integer


Change
A CHANGE event is fired every time the left button is released when using the mouse to change the value of the control.


ClimbRateMax
CLIMBRATEMAX PROPERTY

Description

Sets or returns the maximum rate of climb.

Usage

[form.]control.ClimbRateMax[ = single ]

Remarks

This property only applies when DisplayMode is set to Vertical Speed Indicator (Rate of Climb).

Data Type

Single


CompassStyle
COMPASSSTYLE PROPERTY

Description

Determines the display mode of the compass face.

Usage

[form.]control.CompassStyle[ = integer ]

Setting

The CompassStyle property settings are:

Setting	Description

0	Stationary

1	Floating

Remarks

When the CompassStyle=0 (stationary), the compass face remains stationary while the compass needle rotates to indicate the control's direction.  When the CompassStyle=1 (floating), the compass needle always points to the top of the control while the compass face rotates to indicate the control's direction.  This property only applies when DisplayMode = 0 (compass).

Data Type

Integer (Enumerated)


Contents

Global Majic Software, Inc.

Aircraft Instrument Control

Properties	Events	Product Support	Copyright

Description:

Aircraft Instrument Controls display a variety of small airplane flight instruments including compass, heading indicator, altimeter, vertical speed indicator, airspeed indicator, horizontal situation indicator, artificial horizon, coordinated turn indicator, course indicator, Automatic Direction Finder, Radio Magnetic Indicator, and Omni-Bearing Indicator.  The controls can be used as input controls when MouseControl is set to TRUE.  The controls include bevels for a 3D appearance.


DisplayMode
DISPLAYMODE PROPERTY

Description

Selects the type of instrument being displayed by the control.

Usage

[form.]control.DisplayMode[ = integer ]

Setting

The DisplayMode property settings are:

Setting	Description

0	Analog Compass

1	Heading Indicator

2	Altimeter

3	Rate of Climb (Vertical Speed Indicator)

4	Airspeed Indicator

5	HSI, Horizontal Situation Indicator

6	Artificial Horizon

7	Turn Coordinator

8	Course Indicator

9	ADF - Automatic Direction Finder

10	RMI - Radio Magnetic Indicator

11	OBI - Omni-Bearing Indicator

Data Type

Integer (Enumerated)


Events
Events:

Change

Click

DblClick

MouseDown

MouseMove

MouseUp

Turn


HSIBearing
HSIBEARING PROPERTY

Description

Sets or returns the bearing displayed in the HSI instrument.

Usage

[form.]control.HSIBearing[ = single ]

Remarks

The HSIBearing property value is bound between 0 and 360 degrees.  The bearing indicator is only displayed when the DisplayMode = 5 (HSI),  HSICompass=TRUE, and HSINavigationSource is set to 0 (VOR1),1 (VOR2),4 (TCN) or 5 (LRN).

Related Properties

HSICompass, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSINavigationSource, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Single


HSICompass
HSICOMPASS PROPERTY

Description

Enables and disables the compass face displayed on the HSI.

Usage

[form.]control.HSICompass[ = {TRUE|FALSE} ]

Setting

The HSICompass property settings are:

Setting	Description

True	The aircraft heading and bearing are displayed on a circular compass face.

False	Compass face is not displayed, only course deviation and glide slope deviation are displayed.

Remarks

This property only applies when DisplayMode = 5 (HSI).

Related Properties

HSIBearing, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSINavigationSource, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Integer (Boolean)


HSICourseDelta
HSICOURSEDELTA PROPERTY

Description

Selects the magnitude of the difference between course deviation markers displayed on the HSI instrument.

Usage

[form.]control.HSICourseDelta[ = single ]

Remarks

The HSICourseDelta property only applies when DisplayMode = 5 (HSI).  Typical values for this property are 2.5 degrees or 7.5 miles.

Related Properties

HSIBearing, HSICompass, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSINavigationSource, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Single


HSICourseDeviation
HSICOURSEDEVIATION PROPERTY

Description

Determines the course deviation displayed on the HSI instrument.

Usage

[form.]control.HSICourseDeviation[ = single ]

Remarks

The HSICourseDeviation property only applies when DisplayMode = 5 (HSI).  The displayable range depends on the value set for HSICourseDelta.

Related Properties

HSIBearing, HSICompass, HSICourseDelta, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSINavigationSource, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Single


HSICourseDisplay
HSICOURSEDISPLAY PROPERTY

Description

Returns the type of course display being displayed in the upper right hand corner of the HSI control.

Usage

[form.]control.HSICourseDisplay[ = integer ]

Setting

The HSICourseDisplay property settings are:

Setting	Description

0	Displays CRS.

1	Displays DTK.

2	Displays nothing.

Remarks

This property is read only and applies when DisplayMode = 5 (HSI).

Related Properties

HSIBearing, HSICompass, HSICourseDelta, HSICourseDeviation, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSINavigationSource, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Integer (Enumerated)


HSICourseHeading
HSICOURSEHEADING PROPERTY

Description

Selects the course heading direction displayed in the HSI instrument.

Usage

[form.]control.HSICourseHeading[ = single ]

Remarks

This property is bound between 0 and 360 degrees and only applies when DisplayMode = 5 (HSI) and HSICompass=TRUE.

Related Properties

HSIBearing, HSICompass, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSINavigationSource, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Single


HSIDistance
HSIDISTANCE PROPERTY

Description

Determines the distance displayed in the upper left hand corner of the HSI instrument.

Usage

[form.]control.HSIDistance[ = single ]

Remarks

This property only applies when DisplayMode = 5 (HSI) and HSIDistanceDisplay = 0 (DME), 1 (TCN), or 2 (WPT).  Only three place holders are allowed to display the distance so when the value is less than 100, it is displayed with one decimal point; when the value is between 100 and 999, no decimal point values are displayed; and when the value is 1000 or greater, "999" is displayed.  If the distance is set to a negative number, the control will display "---", indicating that the distance is not available.

Related Properties

HSIBearing, HSICompass, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSINavigationSource, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Single


HSIDistanceDisplay
HSIDISTANCEDISPLAY PROPERTY

Description

Determines the distance mode displayed in the upper left hand corner of the HSI control.

Usage

[form.]control.HSIDistanceDisplay[ = integer ]

Setting

The HSIDistanceDisplay property settings are:

Setting 	Description

0 - DME	Distance

1 - TCN	TACON

2 - WPT	Waypoint

3 - None	Distance is not displayed.

Remarks

This property only applies when DisplayMode = 5 (HSI).

Related Properties

HSIBearing, HSICompass, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSINavigationSource, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Integer (Enumerated)


HSIGlideSlopeDelta
HSIGLIDESLOPEDELTA PROPERTY

Description

Sets or returns the magnitude of the difference between glide slope deviation markers displayed in the HSI instrument.

Usage

[form.]control.HSIGlideSlopeDelta[ = single ]

Remarks

This property only applies when DisplayMode = 5 (HSI).

Related Properties

HSIBearing, HSICompass, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDeviation, HSINavigationSource, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Single


HSIGlideSlopeDeviation
HSIGLIDESLOPEDEVIATION PROPERTY

Description

Determines the glide slope deviation displayed in the HSI instrument.

Usage

[form.]control.HSIGlideSlopeDeviation[ = single ]

Remarks

This property only applies when DisplayMode = 5 (HSI).  The displayable range depends on the value set for HSIGlideSlopeDelta.

Related Properties

HSIBearing, HSICompass, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSINavigationSource, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Single


HSINavigationSource
HSINAVIGATIONSOURCE PROPERTY

Description

Determines the navigation source displayed in the lower right hand corner of the HSI control.

Usage

[form.]control.HSINavigationSource[ = integer ]

Setting

The HSINavigationSource property settings are:

Setting

0 - VOR1

1 - VOR2

2 - ILS1

3 - ILS2

4 - TCN

5 - LRN

6 - None

Remarks

This property only applies when DisplayMode = 5 (HSI).

Related Properties

HSIBearing, HSICompass, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Integer (Enumerated)


HSISpeed
HSISPEED PROPERTY

Description

Sets or returns the ground speed displayed in the lower left hand corner of the HSI instrument.

Usage

[form.]control.HSISpeed[ = single ]

Remarks

This property only applies when DisplayMode = 5 (HSI) and HSITimeSpeedDisplay = 1 (SPD).  Only three place holders are allowed to display the value so when the value is less than 100, it is displayed with one decimal point; when the value is between 100 and 999, no decimal point values are displayed; and when the value is 1000 or greater, "999" is displayed.  If the value is set to a negative number, the control will display "---", indicating that the ground speed is not available.

Related Properties

HSIBearing, HSICompass, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSINavigationSource, HSITime and HSITimeSpeedDisplay

Data Type

Single


HSITime
HSITIME PROPERTY

Description

Sets or returns the time-to-go displayed in the lower left hand corner of the HSI instrument.

Usage

[form.]control.HSITime[ = single ]

Remarks

This property only applies when DisplayMode = 5 (HSI) and HSITimeSpeedDisplay = 0 (TTG).  Only three place holders are allowed to display the value so when the value is less than 100, it is displayed with one decimal point; when the value is between 100 and 999, no decimal point values are displayed; and when the value is 1000 or greater, "999" is displayed.  If the value is set to a negative number, the control will display "---", indicating that the time-to-go is not available.

Related Properties

HSIBearing, HSICompass, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSINavigationSource, HSISpeed and HSITimeSpeedDisplay

Data Type

Single


HSITimeSpeedDisplay
HSITIMESPEEDDISPLAY PROPERTY

Description

Determines whether time-to-go or ground speed is displayed in the lower left hand corner of the HSI control.

Usage

[form.]control.HSITimeSpeedDisplay[ = integer ]

Setting

The HSITimeSpeedDisplay property settings are:

Setting	Description

0 - TTG	Time-To-Go - displays the HSITime value.

1 - SPD	Ground speed - displays the HSISpeed value.

2 - None	Nothing is displayed in the lower left corner of the control.

Remarks

This property only applies when DisplayMode = 5 (HSI).

Related Properties

HSIBearing, HSICompass, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSINavigationSource, HSISpeed and HSITime

Data Type

Integer (Enumerated)


Inclinometer
INCLINOMETER PROPERTY

Description

This property contains the value of the position of the inclinometer ball displayed in the turn coordinator.  It is a measure of the coordinated use of aileron and rudder during a turn.

Usage

[form.]control.Inclinometer[ = single ]

Remarks

This property only applies when DisplayMode = 7 (Turn Coordinator).  The units are in degrees and indicate the angle between the aircraft vertical acceleration direction and the airframe vertical direction.  The visible range of the inclinometer is -10 to 10 degrees.

Data Type

Single


MouseControl
MOUSECONTROL PROPERTY

Description

Enables and disables mouse input to the control.

Usage

[form.]control.MouseControl[ = {TRUE|FALSE} ]

Setting

The MouseControl property settings are:

Setting 	Description

TRUE	Allows the control's Value to be modified with mouse input.

FALSE	Disables mouse input to the control.

Data Type

Integer (Boolean)


OBIARCFlag
OBIARCFLAG PROPERTY

OBIBACKCOURSE PROPERTY

OBIGSFLAG PROPERTY

OBINAVFLAG PROPERTY

Description

These properties may be used to set the Omni Bearing instrument's indicators.  The left figure shows an instrument in which all of the indicators are OFF (FALSE) whereas the right figure shows all the indicators in the ON (TRUE) position.

Usage

[form.]control.OBIARCFlag[ = {TRUE|FALSE} ]

[form.]control.OBIBackCourse[ = {TRUE|FALSE} ]

[form.]control.OBIGSFlag[ = {TRUE|FALSE} ]

[form.]control.OBINAVFlag[ = {TRUE|FALSE} ]

Setting

The property settings are:

Setting	Description

TRUE	The appropriate indicator is shown on the instrument.

FALSE	The appropriate indicator is NOT shown.

Remarks

These properties only apply when DisplayMode is set to Omni-Bearing Indicator.

Related Properties

OBICourse, OBICourseDeviation, OBIGlideSlope and OBIToFrom

Data Type

Integer (Boolean)


OBICourse
OBICOURSE PROPERTY

Description

Sets or returns the Omni-Bearing Indicator's displayed value.

Usage

[form.]control.OBICourse[ = single ]

Remarks

This property only applies when DisplayMode is set to Omni-Bearing Indicator.

Related Properties

OBIARCFlag, OBIBackCourse, OBICourseDeviation, OBIGlideSlope, OBIGSFlag, OBINAVFlag and OBIToFrom

Data Type

Single


OBICourseDeviation
OBICOURSEDEVIATION PROPERTY

Description

Sets or returns the deviation from the course defined by OBICourse on an Omni-Bearing Indicator. The left figure below shows a course deviation whereas the right figure shows an aircraft which is on course.

Usage

[form.]control.OBICourseDeviation[ = single ]

Remarks

This property only applies when DisplayMode is set to Omni-Bearing Indicator.

Related Properties

OBIARCFlag, OBIBackCourse, OBICourse, OBIGlideSlope, OBIGSFlag, OBINAVFlag and OBIToFrom

Data Type

Single


OBIGlideSlope
OBIGLIDESLOPE PROPERTY

Description

Sets or returns the deviation from the ILS glide slope on an Omni-Bearing Indicator. The left figure below indicates a glide slope deviation whereas the right figure shows an aircraft with no deviation.

Usage

[form.]control.OBICourseDeviation[ = single ]

Remarks

This property only applies when DisplayMode is set to Omni-Bearing Indicator.

Related Properties

OBIARCFlag, OBIBackCourse, OBICourse, OBICourseDeviation, OBIGlideSlope, OBIGSFlag, OBINAVFlag and OBIToFrom

Data Type

Single


OBIToFrom
OBITOFROM PROPERTY

Description

Sets or returns the mode of operation of the Omni Bearing Indicator.  If it is set to "To", the indicator shows deviations if you are heading toward the VOR station.  A "From" setting, on the other hand, indicates that the aircraft is flying away from the VOR station.

Usage

[form.]control.OBIToFrom[ = integer ]

Setting

The OBIToFrom property settings are:

Setting	Description

0	none

1	To

2	From

Remarks

This property only applies when DisplayMode is set to Omni-Bearing Indicator.

Related Properties

OBIARCFlag, OBIBackCourse, OBICourse, OBICourseDeviation, OBIGlideSlope, OBIGSFlag and OBINAVFlag

Data Type

Integer (Enumerated)


OrdCourse
ORDCOURSE PROPERTY

Description

Sets or returns the Course Indicator's displayed value.

Usage

[form.]control.OrdCourse[ = single ]

Remarks

This property only applies when DisplayMode is set to Course Indicator.

Data Type

Single


Pitch
PITCH PROPERTY

Description

This property contains the value of the pitch angle displayed on the artificial horizon.

Usage

[form.]control.Pitch[ = single ]

Remarks

This property only applies when DisplayMode = 6 (Artificial Horizon).

Data Type

Single


PRODUCT SUPPORT

Product support for all products is available to registered users by contacting Global Majic Software, Inc. at any of the following locations:

CompuServe:	73261,3642

AmericaOnline:	GMagic

Internet:	gms@globalmajic.com

Snail Mail:	Global Majic Software, Inc.
P.O. Box 322
Madison, Alabama  35758

TEL/FAX:	(205) 864-0708

Home Page:	http://www.globalmajic.com

Product Support is free for a period of three (3) months from the date of registration.

If you have a shareware-related problem or dispute that you are unable to resolve with Global Majic Software, Inc., please feel free to contact the Association of Shareware Professionals.


Properties
Properties:

ADFBearing	Height	OBIARCFlag
AirspeedVFE	HSIBearing	OBIBackCourse
AirspeedVMax	HSICompass	OBICourse
AirspeedVNE	HSICourseDelta	OBICourseDeviation
AirspeedVNO	HSICourseDeviation	OBIGlideSlope
AirspeedVS0	HSICourseDisplay	OBIGSFlag
AirspeedVS1	HSICourseHeading	OBINAVFlag
AltBarometer	HSIDistance	OBIToFrom
AltBarometricPressure	HSIDistanceDisplay	OrdCourse
AutoRedraw	HSIGlideSlopeDelta	Pitch
BackColor	HSIGlideSlopeDeviation	Redraw
BackgroundPicture	HSINavigationSource	RMIBearing
Bank	HSISpeed	RMICompass
BevelInner	HSITime	TabIndex
BevelOuter	HSITimeSpeedDisplay	TabStop
BevelWidth	Inclinometer	Tag
BorderWidth	Index	Top
ClimbRateMax	Left	Turn
CompassStyle	MouseControl	Value
DisplayMode	MousePointer	Visible
Enabled	Name	Width
FontSize


RMIBearing
RMIBEARING PROPERTY

Description

Sets or returns the Radio Magnetic Indicator's needle value.

Usage

[form.]control.RMIBearing[ = single ]

Remarks

This property only applies when DisplayMode is set to Radio Magnetic Indicator.

Related Properties

RMICompass

Data Type

Single


RMICompass
RMICOMPASS PROPERTY

Description

Sets or returns the number of degrees the Radio Magnetic Indicator's compass is rotated.

Usage

[form.]control.RMICompass[ = single ]

Remarks

This property only applies when DisplayMode is set to Radio Magnetic Indicator.

Related Properties

RMIBearing

Data Type

Single


Redraw
REDRAW PROPERTY

Description

Issues a redraw command to the control if AutoRedraw=FALSE.

Usage

[form.]control.Redraw[ = {TRUE|FALSE} ]

Setting

The property settings are:

Setting	Description

TRUE	Issue a redraw command.

FALSE	Does not issue redraw command.

Remarks

If AutoRedraw=TRUE, then the control will be redrawn after any property is changed.  If several properties are being changed rapidly, then the control may seem slow and/or may not update when desired.  In this case, it may be wise to set AutoRedraw=FALSE and issue a Redraw command after all the desired property changes are made.

Related Property

AutoRedraw

Data Type

Integer (Boolean)


Turn
TURN PROPERTY

Description

Sets or returns the turn rate displayed in the turn coordinator.

Usage

[form.]control.Turn[ = single ]

Remarks

This property only applies when DisplayMode = 7 (Turn Coordinator).  The units are in degrees and indicate the turn angle the aircraft will make in 2 minutes.  The tic marks below the level flight tic marks indicate a 360 degree turn in 2 minutes.

Data Type

Single


Turn_Event
A TURN event is fired every time the control's value changes while the left mouse button is down.


Value
VALUE PROPERTY

Description

Sets or returns the control's displayed value.

Usage

[form.]control.Value[ = single ]

Remarks

The compass and heading indicators are bound between 0 and 360 degrees  The vertical airspeed indicator is bound between -2000 and 2000 feet per minute.  The airspeed indicator is bound between 0 and 170 knots, although the display does not register values below 35 knots.

Data Type

Single


copyright
COPYRIGHT INFORMATION

All Global Majic Software, Inc. software programs, shareware, and freeware are protected under the copyright laws of the United States and foreign countries. All rights are reserved to Global Majic Software, Inc. Violations of copyright laws are investigated by the FBI. Distribution of Global Majic Software, Inc. products implies that you have read and agreed to the distribution terms described below:

INTENT

Global Majic Software, Inc. seeks to distribute its shareware as widely as possible. However, we want the end-users of our software to be properly informed that it is shareware.

DISTRIBUTOR INFORMATION AND LICENSE INFORMATION

The license information and distribution requirements in this document supersede all previous license statements. To continue to distribute Global Majic Software, Inc. products, you must adhere to the licensing and distribution requirements below.

If you are a mail order or BBS-type distributor of shareware software, you may distribute these programs as they are, without any changes other than expanding files contained in the ZIP archives. However, you have the responsibility to check from time to time, at a minimum interval of 6 months, for new versions of these programs, and to update your copies in a timely manner. Global Majic Software, Inc. will gladly send you a diskette containing the current versions on request.

You must fully identify all Global Majic Software, Inc. programs in your advertising, by the program's full name and version, and indicate the registration fee in the program description. The words Global Majic Software, Inc. must appear in all program descriptions.

SHAREWARE DISCLOSURE REQUIRED

All advertising and packaging information including references to Global Majic Software, Inc. products must contain a statement explaining the shareware concept.  Specifically, that statement must explain that shareware software MUST be registered by the user, after a trial period, by paying a registration fee, and that all monies paid for the shareware version are duplication and distribution charges only. All such statements must be clearly displayed in a position where they are likely to be read by potential customers.

RETAIL RACK AND CD-ROM DISTRIBUTION

If you distribute shareware in a retail setting in racks, store displays, vending machines, at computer fairs, or in any way other than normal BBS or catalog-based sales, you must contact Global Majic Software, Inc. for permission to distribute any Global Majic Software, Inc. program. Rack or retail-like sales require a special distribution license, normally requiring royalties paid to Global Majic Software, Inc. If you distribute shareware on CD-ROM disks, you must also contact Global Majic Software, Inc. before including any Global Majic Software, Inc. shareware programs on a CD-ROM disk. Normally, permission is granted, but current versions must be included and all old versions of any Global Majic Software, Inc. program removed from any CD-ROM disk containing Global Majic Software, Inc. products.